<?php
  include("config.php");
  include("tools.php");

  $policy_id = $_REQUEST["policy_id"];

  $db       = DB_connect($DBHOST, $DBUSER, $DBPASS, $DBNAME);
  $result   = DB_query($db, "SELECT * FROM policy WHERE id=${policy_id}");
  $count    = DB_num_rows($result);
  if ($count!=0) {
    $data   = DB_fetch_assoc($result);
    $pid    = $data["id"];
  }
  DB_free_result($result);

  $userid = $_SERVER["PHP_AUTH_USER"];

  $results = DB_query($db, "SELECT * FROM adminusers WHERE userid='" . $userid . "'");
  $isadmin = (DB_num_rows($results)!=0);
  DB_free_result($results);
  DB_close($db);

  if ($isadmin) {
    $pname = $data["policy_name"];
  } else {
    $pname = substr($data["policy_name"], strlen($userid)+1);
  }
?>
<h2>Edit mail filter policy</h2>
<table>
 <tr>
  <td><b>Policy Name: </b></td>
  <td>
    <input type="text" id="policy_name" name="policy_name" value="<?php echo $pname; ?>" size="20"/>
    <div class="comment">Please do NOT change the name of the "default" policy, because<br/>
      this is needed for creating new user policies!
    </div>
  </td>
  <td>
    <input type="button" name="save" id="save" value="Save changes to this policy" style="font-weight:bold;" onclick="savePolicy(<?php echo $pid; ?>)"/>
    <input type="button" name="back" id="back" value="Back to startpage" onclick="restart()"/>
    <div id="waitSave">&nbsp;</div>
  </td>
 </tr>
</table>

<hr/>

<b>Configuration section: </b>
<input type="button" id="button_virus" value="Virus detection" onclick="showForm('virus')" />
<input type="button" id="button_banned" value="Banned files" onclick="showForm('banned')" />
<input type="button" id="button_spam" value="Spam mails" onclick="showForm('spam')" />
<input type="button" id="button_badheader" value="Malformed mails" onclick="showForm('badheader')" />

<hr/>

<?php include("loadConfigVirus_include.php"); ?>
<?php include("loadConfigSpam_include.php"); ?>
<?php include("loadConfigBanned_include.php"); ?>
<?php include("loadConfigBadHeader_include.php"); ?>

