<?php
  include("loadStatistics_include.php");
?>

<h2>Statistics</h2>
<div class="comment">
  These statistics only include mails delivered to one of YOUR email addresses.<br/>
  The list of "your" addresses can be seen on the startpage.<br/>
  Contact your mail administrator if there are one or more addresses missing.<br /><br />
  You can click on each entry (first column) in the statistics table. This will result in a<br/>
  new statistics view where only entries matching the selected one will be included in the
  calculations.<br/>
  You can repeat this as often as you want, every time you click on an entry you add this
  entry to the filter.<br/>
  All selected filters will be ANDed together...
  <br/><br/>
</div>
<hr/>

<?php
if (count($headlines)!=0) {
  echo "<h3>Statistics for:</h3>";
  echo "<ul>\n";
  $i = 0;
  foreach ($headlines as $headline) {
    ?>
    <li>
      <span><?php echo $headline; ?></span>
      <span class="link" style="margin-left:10px;" onclick="removeFilter(<?php echo $i; ?>)"><em>(remove this filter)</em></span>
    </li>
    <?php
    $i++;
  }
  echo "</ul>\n";
}
?>

<b>Total number of mails received for you: </b><?php echo $total; ?>

<?php /*
-----------------------------------------------------------
number of mails per policy
-----------------------------------------------------------
*/ ?>
<div class="stats" >
<h3>number of mails per policy</h3>
<div id="stats_policy">
  <?php include("loadStatisticsPolicy.php"); ?>
</div>
</div>

<?php /*
-----------------------------------------------------------
number of mails per sender
-----------------------------------------------------------
*/ ?>
<div class="stats" >
<h3>number of mails per sender</h3>
<div id="stats_sender">
  <?php include("loadStatisticsSender.php"); ?>
</div>
</div>

<?php /*
-----------------------------------------------------------
number of mails per sender domain
-----------------------------------------------------------
*/ ?>
<div class="stats" >
<h3>number of mails per sender domain</h3>
<div id="stats_senderdomain">
  <?php include("loadStatisticsSenderdomain.php"); ?>
</div>
</div>

<?php /*
-----------------------------------------------------------
number of mails per recipient
-----------------------------------------------------------
*/ ?>
<div class="stats">
<h3>number of mails per recipient</h3>
<div id="stats_recipient">
  <?php include("loadStatisticsRecipient.php"); ?>
</div>
</div>

<?php /*
-----------------------------------------------------------
number of mails per recipient domain
-----------------------------------------------------------
*/ ?>
<div class="stats" >
<h3>number of mails per recipient domain</h3>
<div id="stats_recipientdomain">
  <?php include("loadStatisticsRecipientdomain.php"); ?>
</div>
</div>

<?php /*
-----------------------------------------------------------
number of mails per client_addr
-----------------------------------------------------------
*/ ?>
<div class="stats">
<h3>number of mails per clients ip address</h3>
<div id="stats_client">
  <?php include("loadStatisticsClient.php"); ?>
</div>
</div>

<?php /*
-----------------------------------------------------------
number of mails per content
-----------------------------------------------------------
*/ ?>
<div class="stats">
<h3>number of mails per detected type</h3>
<div id="stats_type">
  <?php include("loadStatisticsType.php"); ?>
</div>
</div>

<?php /*
-----------------------------------------------------------
number of mails quarantined
-----------------------------------------------------------
*/ ?>
<div class="stats">
<h3>number of mails moved to quarantine</h3>
<div id="stats_quarantine">
  <?php include("loadStatisticsQuarantine.php"); ?>
</div>
</div>

<?php /*
-----------------------------------------------------------
number of mails per delivery status
-----------------------------------------------------------
*/ ?>
<div class="stats">
<h3>number of mails per delivery status</h3>
<div id="stats_delivery">
  <?php include("loadStatisticsDelivery.php"); ?>
</div>
</div>

<?php /*
-----------------------------------------------------------
number of mails per spam level
-----------------------------------------------------------
*/ ?>
<div class="stats">
<h3>number of mails per spam level</h3>
<div id="stats_level">
  <?php include("loadStatisticsLevel.php"); ?>
</div>
</div>

<?php /*
-----------------------------------------------------------
number of mails per time range
-----------------------------------------------------------
*/ ?>
<div class="stats">
<h3>number of mails per time range</h3>
<div id="stats_maxage">
  <?php include("loadStatisticsMaxAge.php"); ?>
</div>
</div>

<br/><br/>
<input type="button" value="Reload statistics" onclick="loadStatistics()"/>
<input type="button" value="Back to startpage" onclick="restart()"/>

<input type="hidden" id="tags"   name="tags"   value="<?php echo implode(",", $tags);   ?>" />
<input type="hidden" id="values" name="values" value="<?php echo implode(",", $values); ?>" />

<?php 
  DB_close($db);
?>
