<?php
  if (!isset($total)) {
    include("loadStatistics_include.php");
    $needClose = true;
  }
?>

<table>
  <tr>
    <td><b>Client</b></td>
    <td><b>number of mails</b></td>
    <td><b>percent of total</b></td>
  </tr>

  <?php
  $results = DB_query($db, "SELECT client_addr, COUNT(*) AS c 
    FROM $fromclause 
    WHERE $userrestriction 
    " . $query . "
    GROUP BY client_addr 
    ORDER BY c DESC
    LIMIT $limit");

  $l       = DB_num_rows($results);
  $sum     = 0;
  for ($i=0; $i<$l; $i++) {
    $row = DB_fetch_assoc($results);
    $sum += $row["c"];
    $ip = $row["client_addr"];
    ?>
    <tr>
      <td><span class="link" onclick="reloadStatistics('client_addr', '<?php echo $row["client_addr"]; ?>')"><?php echo $ip?$ip:"(unknown)"; ?></span></td>
      <td><?php echo $row["c"]; ?></td>
      <td><?php echo ($total!=0)?sprintf("%0.2f",100.0*$row["c"]/$total):"N/A"; ?></td>
    </tr>
    <?php
  }
  DB_free_result($results);
  ?>

  <tr>
    <td><em><span class="link" onclick="fullStatsFor('Client')">rest</span></em></td>
    <td><em><?php echo ($total-$sum); ?></em></td>
    <td><?php echo ($total!=0)?sprintf("%0.2f",100.0*($total-$sum)/$total):"N/A"; ?></td>
  </tr>
</table>

<?php
  if ($needClose) { 
    DB_close($db);
  }
?>
