<?php
  if (!isset($total)) {
    include("loadStatistics_include.php");
    $needClose = true;
  }
?>

<table>
  <tr>
    <td><b>Spam level x</b></td>
    <td><b>number of mails</b></td>
    <td><b>percent of total</b></td>
  </tr>

  <?php

  $spamselects = array();
  foreach ($spamblocks as $spamblock) {
    $minmax = explode(",", $spamblock);
    $spamselects[] = "SELECT " . $minmax[0] . " as smin, " . $minmax[1] . " as smax";
  }
  $levels = implode("\n UNION ALL\n ", $spamselects);

  $results = DB_query($db, "SELECT s.smin, s.smax, COUNT(*) AS c 
                              FROM $fromclause
			           LEFT OUTER JOIN ($levels) s
				   ON COALESCE(m.spam_level,0)>=s.smin AND COALESCE(m.spam_level,0)<s.smax
		              WHERE $userrestriction 
			      " . $query . " 
			      GROUP BY s.smin, s.smax
			      ORDER BY s.smin");
  $l       = DB_num_rows($results);
  $sum     = 0;
  for ($i=0; $i<$l; $i++) {
    $row = DB_fetch_assoc($results);
    $sum += $row["c"];
    ?>
    <tr>
      <td><span class="link" onclick="reloadStatistics('spam_level','<?php echo $row["smin"].";".$row["smax"]; ?>')"><?php echo $row["smin"]." &lt;= x &lt; ".$row["smax"]; ?></span></td>
      <td><?php echo $row["c"]; ?></td>
      <td><?php echo ($total!=0)?sprintf("%0.2f",100.0*$row["c"]/$total):"N/A"; ?></td>
    </tr>
    <?php
  }
  DB_free_result($results);
  ?>
</table>

<?php
  if ($needClose) { 
    DB_close($db);
  }
?>
