CREATE INDEX policy_idx_policy_name ON policy(policy_name);

CREATE INDEX users_idx_priority ON users(priority);
CREATE INDEX users_idx_policy_id ON users(policy_id);
CREATE INDEX users_idx_email ON users(email);

CREATE INDEX mailaddr_idx_priority ON mailaddr(priority);
CREATE INDEX mailaddr_idx_email    ON mailaddr(email);

CREATE INDEX maddr_idx_partition_tag ON maddr(partition_tag);
CREATE INDEX maddr_idx_email         ON maddr(email);

CREATE INDEX msgrcpt_idx_ds          ON msgrcpt(ds);
CREATE INDEX msgrcpt_idx_rs          ON msgrcpt(rs);
CREATE INDEX msgrcpt_idx_bspam_level ON msgrcpt(bspam_level);

CREATE INDEX msgs_idx_time_iso    ON msgs(time_iso);
CREATE INDEX msgs_idx_client_addr ON msgs(client_addr);
CREATE INDEX msgs_idx_size        ON msgs(size);
CREATE INDEX msgs_idx_content     ON msgs(content);
CREATE INDEX msgs_idx_quar_type   ON msgs(quar_type);

CREATE INDEX userauth_idx_email_id ON userauth(email_id);
CREATE INDEX userauth_idx_userid   ON userauth(userid);

