#!/bin/sh

dbuser=amavis
dbname=amavis

email=$1
userid=$2
priority=$3

test -z "$userid" && {
  echo "add_email_address_postgres.sh EMAIL USERID [priority=10]"
  exit 1
}

test -z "$priority" && priority=10

psql -U $dbuser -d $dbname -f - <<EOF
INSERT INTO users(priority, policy_id, email, local)
  VALUES($priority, (SELECT p.id FROM policy p WHERE policy_name='${userid}_default'), '$email', 'Y');

INSERT INTO userauth(userid, email_id)
  SELECT '$userid', u.id
    FROM users u
    WHERE email='$email';
EOF

