#!/bin/sh

dbuser=amavis
dbname=amavis

userid=$1

test -z "$userid" && {
  echo "add_policy_for_user_postgres.sh USERID"
  exit 1
}

psql -U $dbuser -d $dbname -f - <<EOF
INSERT INTO policy(
  policy_name, virus_lover, spam_lover, banned_files_lover, 
  bad_header_lover, bypass_virus_checks, bypass_spam_checks, bypass_banned_checks, 
  bypass_header_checks, spam_modifies_subj, virus_quarantine_to, 
  spam_quarantine_to, banned_quarantine_to, bad_header_quarantine_to, 
  spam_tag_level, spam_tag2_level, spam_kill_level, spam_dsn_cutoff_level, 
  addr_extension_virus, addr_extension_spam, addr_extension_banned, 
  addr_extension_bad_header, warnvirusrecip, warnbannedrecip, warnbadhrecip, 
  newvirus_admin, virus_admin, banned_admin, bad_header_admin, 
  spam_admin, spam_subject_tag, spam_subject_tag2, message_size_limit, 
  banned_rulenames, clean_quarantine_to, other_quarantine_to, spam_quarantine_cutoff_level)

  SELECT '${userid}_default', virus_lover, spam_lover, banned_files_lover, 
         bad_header_lover, bypass_virus_checks, bypass_spam_checks, bypass_banned_checks, 
         bypass_header_checks, spam_modifies_subj, virus_quarantine_to, 
         spam_quarantine_to, banned_quarantine_to, bad_header_quarantine_to, 
         spam_tag_level, spam_tag2_level, spam_kill_level, spam_dsn_cutoff_level, 
         addr_extension_virus, addr_extension_spam, addr_extension_banned, 
         addr_extension_bad_header, warnvirusrecip, warnbannedrecip, warnbadhrecip, 
         newvirus_admin, virus_admin, banned_admin, bad_header_admin, 
         spam_admin, spam_subject_tag, spam_subject_tag2, message_size_limit, 
         banned_rulenames, clean_quarantine_to, other_quarantine_to, spam_quarantine_cutoff_level
    FROM policy where policy_name='default';
EOF

