#!/bin/sh

dbname=amavis
dbuser=amavis

psql -U $dbuser -d $dbname -f - <<EOF
DROP TABLE IF EXISTS mailsflat_static;
CREATE TABLE mailsflat_static AS (SELECT * FROM mailsflat);
CREATE INDEX mailsflat_static_idx_time_num ON mailsflat_static(time_num);
CREATE INDEX mailsflat_static_idx_time_iso ON mailsflat_static(time_iso);
CREATE INDEX mailsflat_static_idx_sid ON mailsflat_static(sid);
CREATE INDEX mailsflat_static_idx_client_addr ON mailsflat_static(client_addr);
CREATE INDEX mailsflat_static_idx_content ON mailsflat_static(content);
CREATE INDEX mailsflat_static_idx_quar_type ON mailsflat_static(quar_type);
CREATE INDEX mailsflat_static_idx_spam_level ON mailsflat_static(spam_level);
CREATE INDEX mailsflat_static_idx_sdomain ON mailsflat_static(sdomain);
CREATE INDEX mailsflat_static_idx_rid ON mailsflat_static(rid);
CREATE INDEX mailsflat_static_idx_ds ON mailsflat_static(ds);
CREATE INDEX mailsflat_static_idx_rs ON mailsflat_static(rs);
CREATE INDEX mailsflat_static_idx_rdomain ON mailsflat_static(rdomain);
CREATE INDEX mailsflat_static_idx_user_id ON mailsflat_static(user_id);
CREATE INDEX mailsflat_static_idx_policy_id ON mailsflat_static(policy_id);
VACUUM ANALYZE mailsflat_static;
EOF

