#!/bin/sh

dbuser=amavis
dbname=amavis

psql -U $dbuser -d $dbname -f - -q <<EOF
SELECT ua.userid, u.email, u.priority, p.policy_name
  FROM userauth ua 

       FULL OUTER JOIN users u 
         ON u.id=ua.email_id

       FULL OUTER JOIN policy p
         ON u.policy_id=p.id

  ORDER BY ua.userid, u.priority DESC, u.email
EOF

