<?php
  if (!isset($total)) {
    include("loadStatistics_include.php");
    $needClose = true;
  }
?>

<table>
  <tr>
    <td><b>Max age</b></td>
    <td><b>total number of mails</b></td>
    <td><b>percent of total</b></td>
    <td><b>avg. mails per minute</b></td>
    <td><b>avg. mails per hour</b></td>
  </tr>

  <?php

  $timeselects = array();
  foreach ($timeblocks as $name => $maxage) {
    $timeselects[] = "SELECT $maxage as maxage";
  }
  $maxages = implode("\n UNION ALL\n ", $timeselects);

  $results = DB_query($db, "SELECT ma.maxage, COUNT(*) AS c 
                              FROM $fromclause
			           LEFT OUTER JOIN ($maxages) ma
				   ON m.time_num >= ($DBNOW-ma.maxage)
		              WHERE $userrestriction 
			      " . $query . " 
			      GROUP BY ma.maxage
			      ORDER BY ma.maxage");
  $l       = DB_num_rows($results);
  $sum     = 0;
  for ($i=0; $i<$l; $i++) {
    $row = DB_fetch_assoc($results);
    $maxage = $row["maxage"];
    $nofMails = $row["c"];
    $sum += $row["c"];
    $descr = getMaxAgeNameByValue($maxage);
    ?>
    <tr>
      <td><span class="link" onclick="reloadStatistics('maxage','<?php echo $maxage ?>')"><?php echo $descr ?></span></td>
      <td><?php echo $nofMails; ?></td>
      <td><?php echo ($total!=0)?sprintf("%0.2f",100.0*$nofMails/$total):"N/A"; ?></td>
      <td><?php echo sprintf("%0.4f", 60.0*$nofMails/$maxage) ?></td>
      <td><?php echo sprintf("%0.4f", 60.0*60.0*$nofMails/$maxage) ?></td>
    </tr>
    <?php
  }
  DB_free_result($results);
  ?>
</table>

<?php
  if ($needClose) { 
    DB_close($db);
  }
?>
