<?php
  include("config.php");
  include("tools.php");

  $req     = $_REQUEST;
  $eid     = $req["email_id"];
  $db      = DB_connect($DBHOST, $DBUSER, $DBPASS, $DBNAME);
  $results = DB_query($db, "SELECT * FROM users WHERE id=$eid");
  $data    = DB_fetch_assoc($results);
  $email   = $data["email"];
  
  DB_free_result($results);
?>
<h2>White-/Blacklisting</h2>
<table>
  <tr>
    <td><b>Your email address: </b></td>
    <td><?php echo $email; ?></td>
    <td>
      <input type="hidden" name="email_id" id="email_id" value="<?php echo $eid; ?>"/>
      <input type="button" id="back" value="Back to startpage" onclick="restart()"/>
    </td>
  </tr>
</table>

<hr/>

<div class="comment">
  Here you can configure white-/blacklisting for sender addresses.
  When an email arrives it will be checked for spam and gets "penalty points".
  These penalty points indicate how probable this email is spam.<br/>
  If you want to override this mechanism for certain sender addresses, you can 
  white- or blacklist a sender here.<br/><br/>
  The table below shows all sender addresses for which manual override is active.<br/>
  The column "<em>White/Black/Score</em>" can contain the following values:
  <ul>
    <li><span style="text-decoration:underline;">W</span> - means sender is Whitelisted, i.e. the mail will NOT be classified as "spam"
        regardless of the result of the built-in spam check.</li>
    <li><span style="text-decoration:underline;">B</span> - means sender is Blacklisted. In this case the mail WILL be classified as "spam"
        regardless of the result of the built-in spam check.</li>
    <li><span style="text-decoration:underline;">Float-Value</span> - If you enter a float value here, the automatically detected spam level of
        the incoming mail will be adjusted by this value.<br/>
	Positive values shift the spam level towards "spam", negative values shift the spam level towards "ham" (i.e. "good" mails).</li>
  </ul>
</div>

<hr/>

<table>
  <tr>
    <td><b>Delete?</b></td>
    <td><b>Sender address</b></td>
    <td><b>White/Black/Score</b></td>
  </tr>

  <?php
  $results = DB_query($db, "SELECT m.id,m.email,wb.wb FROM wblist wb INNER JOIN mailaddr m ON wb.sid=m.id WHERE wb.rid=$eid ORDER BY m.email");
  $l = DB_num_rows($results);
  for ($i=0; $i<$l; $i++) {
    $result = DB_fetch_assoc($results);
    $sender = $result["email"];
    $wb     = $result["wb"];
    $sid    = $result["id"];

    echo "<tr><td><input type=\"checkbox\" name=\"del_$sid\" id=\"del_$sid\" /></td><td>$sender</td><td><input type=\"text\" name=\"wb_$sid\" id=\"wb_$sid\" value=\"$wb\" size=\"5\" onchange=\"validateWB('wb_$sid')\"/></td></tr>\n";
  }
  DB_free_result($results);
  ?>

  <tr>
    <td><b>New:</b></td>
    <td><input type="text" name="newemail" id="newemail" size="30"/></td>
    <td><input type="text" name="newwb" id="newwb" size="5" onchange="validateWB('newwb')"/></td>
  </tr>
</table>

<br/>

<input type="button" id="save" value="Save changes" onclick="updateWBEntries()" />
<input type="button" id="delete" value="Delete selected" onclick="deleteWBEntries()" />

<div id="waitWorking">&nbsp;</div>

<?php
  DB_close($db);
?>
