<?php
  function debug($st)
  {
    global $DEBUG;

    if ($DEBUG) {
      $st = str_replace(" ", "&nbsp;", $st);
      $st = str_replace("\n", "<br />\n", $st);
      print('<div class="debug">'.$st.'</div>');

      // trigger_error($st);
    }
  }

  function DB_connect($host, $user, $pass, $dbname)
  {
    debug("connecting to DB $dbname at $host with user=$user");
    $ret = DB_connect_impl($host, $user, $pass, $dbname);
    return $ret;
  }

  function DB_query($db, $query)
  {
    debug("executing query $query");
    $ret=DB_query_impl($db, $query);
    return $ret;
  }

  function DB_num_rows($result)
  {
    return DB_num_rows_impl($result);
  }

  function DB_fetch_assoc($result)
  {
    return DB_fetch_assoc_impl($result);
  }

  function DB_fetch_array($result)
  {
    return DB_fetch_array_impl($result);
  }

  function DB_free_result($result)
  {
    DB_free_result_impl($result);
  }

  function DB_close($db)
  {
    DB_close_impl($db);
  }
  
?>
