#!/bin/sh

dbuser=amavis
dbname=amavis
maxage="180 days"

psql -U "$dbuser" -d "$dbname" -f - <<EOF
DELETE FROM msgs m
  WHERE now()-m.time_iso::timestamp > '$maxage'::interval;

DELETE FROM maddr m
  WHERE m.id IN (
    SELECT alll.id
      FROM maddr alll
    EXCEPT
    SELECT sender.sid
      FROM msgs sender
    EXCEPT
    SELECT rcpt.rid
      FROM msgrcpt rcpt
    );
EOF

